# Class Notes::CreateContext < BaseContext

- app/contexts/notes/create_context.rb

Methods

E
  - execute

Instance Public methods
execute() Link

Source: show

    # File app/contexts/notes/create_context.rb, line 3
    def execute
      note = project.notes.new(params[:note])
      note.author = current_user
      note.notify = true if params[:notify] == '1'
      note.notify_author = true if params[:notify_author] == '1'
      note.save
      note
    end